Print Friendly

# Class YAHOO.ext.DialogManager

Package: | YAHOO.ext
Class: | DialogManager
Extends: | Object
Defined In: | BasicDialog.js

Provides global access to BasicDialogs that have been created and support for z-indexing (layering) multiple open dialogs.

## Public Properties

Property | Defined By
--- | ---
| zseed : Number | DialogManager
The starting z-index for BasicDialogs - defaults to 10000

## Public Methods

Method | Defined By
--- | ---
| bringToFront(`String/Object dlg`) : YAHOO.ext.BasicDialog | DialogManager
Brings the specified dialog to the front
| get(`String/Object id`) : YAHOO.ext.BasicDialog | DialogManager
Gets a registered dialog by id
| sendToBack(`String/Object dlg`) : YAHOO.ext.BasicDialog | DialogManager
Sends the specified dialog to the back

## Public Events

This class has no public events.

## Property Details

### zseed

`public Number zseed`
The starting z-index for BasicDialogs - defaults to 10000
This property is defined by DialogManager.

## Method Details

### bringToFront

`public function bringToFront(`String/Object dlg`)`
Brings the specified dialog to the front
Parameters:

- `dlg` : String/Object
  The id of the dialog or a dialog

Returns:

- `YAHOO.ext.BasicDialog`

This method is defined by DialogManager.

### get

`public function get(`String/Object id`)`
Gets a registered dialog by id
Parameters:

- `id` : String/Object
  The id of the dialog or a dialog

Returns:

- `YAHOO.ext.BasicDialog`

This method is defined by DialogManager.

### sendToBack

`public function sendToBack(`String/Object dlg`)`
Sends the specified dialog to the back
Parameters:

- `dlg` : String/Object
  The id of the dialog or a dialog

Returns:

- `YAHOO.ext.BasicDialog`

This method is defined by DialogManager.

yui-ext - Copyright © 2006 Jack Slocum. | Yahoo! UI - Copyright © 2006 Yahoo! Inc.
All rights reserved.